Invite / Update Member

Invite a new member to join or update a Member's information. This most commonly used when integrating with an external form, website, or data source.

If the Member does not exist, the Member will be invited.

If the Member already exists, the Member information will be updated.

NOTES:

  • Both state_or_province and state_or_province_abbreviationmust be provided in order to set a member's state or province.
  • date_of_birth must be provided as a string in "YYYY-MM-DD" format.
  • If a member is invited to a Leader's Community using an opt-in mechanism that requires a response (reply-y, signup-link), they have a 30 day window to respond. If they do not respond during this timeframe they will be put into a deleted member subscription state automatically and cannot be resubscribed via subsequent webhook API calls
Body Params
string
required
^\d+$

include country code

string
enum
Defaults to sms

only sms and whatsapp are supported at the moment.

Allowed:
string
length ≤ 255
\S
string
length ≤ 255
\S
string
length ≤ 255
^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)*$
string
length ≤ 255
\S
string
length ≤ 255
\S
string
length between 2 and 3
^[A-Z]+$
string
length ≤ 255
\S
string
^[A-Z]{2}$
string
length ≤ 10
^[0-9A-Z]+[ -]?[0-9A-Z]+$
geolocation
object
Defaults to [object Object]
string
^\d{4}-\d{2}-\d{2}$

Must be supplied in "YYYY-MM-DD" format.

string
enum
Allowed:
tags
array of strings

A list of tag names (Subcommunities) to add the Member to

tags
string
enum

Controls how the subscriber is activated.

web — subscriber is created in a pending state and must complete the Frost registration form.

text — subscriber is created in a pending state and must reply Y to confirm (Reply-Y flow).

preopt — subscriber is immediately activated without requiring further action; requires the API Pre-Opt feature to be enabled for your account by Community.

When omitted, the activation mode is determined by the account's source configuration.

Allowed:
Responses
202

Accepted

400

Bad request

401

Unauthorized

403

Forbidden

Language
Credentials
URL
LoadingLoading…